Class | OpenSSL::X509::Name
In: | openssl/lib/openssl/x509.rb
Parent: | Object

### Methods

parse_openssl parse_rfc2253

### Classes and Modules

Module OpenSSL::X509::Name::RFC2253DN

### External Aliases

parse_openssl | -> | parse

### Public Class methods

parse_openssl(str, template=OBJECT_TYPE_TEMPLATE)

[Source]

    # File openssl/lib/openssl/x509.rb, line 145
            def parse_openssl(str, template=OBJECT_TYPE_TEMPLATE)
              ary = str.scan(/\s*([^\/,]+)\s*/).collect{|i| i[0].split("=", 2) }
              self.new(ary, template)
            end

parse_rfc2253(str, template=OBJECT_TYPE_TEMPLATE)

[Source]

    # File openssl/lib/openssl/x509.rb, line 140
            def parse_rfc2253(str, template=OBJECT_TYPE_TEMPLATE)
              ary = OpenSSL::X509::Name::RFC2253DN.scan(str)
              self.new(ary, template)
            end

[Validate]